function [DetectionList,yComb,caYLayr] = PROCEDURE_ToyotaCarDetection(SSIdx);
%
%intent: detect cars in a street scenes image (loaded from disk)
%

load CAFileList_FilterSS;
load CarDetFNS;
load PedDetFNS;
im = imread(CAfilelist{SSIdx}.imagename);
im_s = imresize(im,[480,640]);
[DetectionList.car,yComb.car,caYLayr.car] = ToyotaMultiDetection_Faster(im_s,CarDetFNS);
[DetectionList.ped,yComb.ped,caYLayr.ped] = ToyotaMultiDetection_Faster(im_s,PedDetFNS);
return;

figure(3);
%imshow(im);
RSegment = '/cbcl/scratch01/bileschi/c2CarDetector/figures';
segfname = fullfile(RSegment,sprintf('5_Labels_%.5d.jpg',SSIdx));
segim = imread(segfname);
imshow(segfname);
radii = 32 * 2.^((0:10)/4)
DrawBoxDetections(DetectionList.car, radii, [960 1280],'car',0);
DrawBoxDetections(DetectionList.ped, radii, [960 1280],'ped',50);
mystr = sprintf('StreetScenes img %.5d Detector Ver:%2.1f',SSIdx,1);
g = text(10,10,mystr);
set(g,'Color',[.25 .125 0]);